Name:           python-autosubmit
Version:        4.1.12
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Autosubmit is a Python-based workflow manager to create, manage and monitor complex tasks involving different substeps, such as scientific computational experiments. These workflows may involve multiple computing systems for their completion, from HPCs to post-processing clusters or workstations. Autosubmit can orchestrate all the tasks integrating the workflow by managing their dependencies, interfacing with all the platforms involved, and handling eventual errors.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.bsc.es/projects/earthscience/autosubmit/
Source:         %{pypi_source autosubmit}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'autosubmit' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-autosubmit
Summary:        %{summary}

%description -n python3-autosubmit %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-autosubmit all,docs,postgres,tests


%prep
%autosetup -p1 -n autosubmit-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,docs,postgres,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-autosubmit -f %{pyproject_files}


%changelog
%autochangelog